<?php
/*

Plugin Name: Play Pause Button for Video

Description: This plugin used for add automatic 'Play Pause' button on vedio.

Version: 1.0

Licence: GPL2

Author: Sunny Sehgal

Author URI: http://www.realitypremedia.com/

*/

function Pause_play() { ?>
<style type="text/css">
.pause-play-img {
  position: absolute;
  /*top: 50%;*/
  z-index: 99;
  /*margin-top: -50px;*/
  left: 50%;
  display: none;
  opacity: 0.4;
  width: 64px;
}

.video-parent-class:hover img.pause-play-img {
  display: block;
}
.video-parent-class {
	position: relative;
}

</style>

<?php
	wp_enqueue_script( 'jquery' );
?>

<script>

/*Site URL in jQuery*/

var plugin_url = "<?php echo plugin_dir_url(__FILE__) ?>";

jQuery(document).ready(function(){
     if (jQuery("video").length > 0){
	/*Wrap (all code inside div) all vedio code inside div*/
	jQuery("video").wrap("<div class='video-parent-class'></div>");
	
	/*Add image just before to vedio	*/
	jQuery( "<img class='pause-play-img' src='"+plugin_url+"/img/img01.png' >" ).insertBefore( "video" );

	
	/*var myVideo = document.getElementsByTagName('video')[0]; */

	/*main code of each (particular) vedio*/
	jQuery( "video" ).each(function(index) {

		/*vedio parent div height width code*/
		var vedio_width = jQuery(this).width();
		var vedio_height = jQuery(this).height();
		jQuery(".video-parent-class").css({"width":vedio_width+"px", "height":vedio_height+"px"});

		/*Pause Play image, middle width in vedio code*/
		var half_width_vedio = vedio_width/2;
		var middle_object_width = half_width_vedio-32;
		jQuery(".pause-play-img").css({"left":middle_object_width+"px"});

		/*Pause Play image middle height in vedio code*/
		var half_height_vedio = vedio_height/2;
		var middle_object_heigh = half_height_vedio-32;
		jQuery(".pause-play-img").css({"top":middle_object_heigh+"px"});

		/*Pause play and image src change code*/
	    jQuery(this).on("click", function(){
	        if (this.paused) 
		 {
		 	this.play(); 
		 	jQuery(this).prev().attr("src", plugin_url+"/img/img02.png");
		 }
        	
        else {
			    this.pause(); 
        	 	jQuery(this).prev().attr("src", plugin_url+"/img/img01.png");
        }
       
        
	    });


	    /*pause play image click vedio on off functionlity code*/
	    jQuery(this).prev().on("click", function(){
			var myVideo = jQuery(this).next()[0];
		        if (myVideo.paused) 
			 {	
			 	
			 	myVideo.play(); 
			 	jQuery(this).attr("src", plugin_url+"/img/img02.png");
			 }
	        	
	        else {

	        	 myVideo.pause(); 
	        	 jQuery(this).attr("src", plugin_url+"/img/img01.png");
	        }

		});

	});


 
	/*After end vedio change image*/
	var video = document.getElementsByTagName('video')[0];

	    video.onended = function(e) {
	      jQuery(".pause-play-img").attr("src", plugin_url+"/img/img01.png");
	 };
       }
});
</script>

<?php
}
add_action('wp_head', 'Pause_play');
?>